# Function getEventAllocations

- getEventAllocations(contracts, referenceDeclarations, userDefinedTypes, abiAllocations, allowConstructorEvents?): EventAllocations

- #### Parameters

  - ##### contracts: ContractAllocationInfo[]

  - ##### referenceDeclarations: {
    [compilationId: string]: AstNodes;
    }

    - ##### [compilationId: string]: AstNodes

  - ##### userDefinedTypes: TypesById

  - ##### abiAllocations: AbiAllocations

  - ##### allowConstructorEvents: boolean = false

  #### Returns EventAllocations

  - Defined in codec/lib/abi-data/allocate/index.ts:1335

Generated using TypeDoc